org.keycloak.dom.saml.v1.assertion

## Class SAML11AttributeType

- java.lang.Object
- - org.keycloak.dom.saml.v1.assertion.SAML11AttributeDesignatorType
  - - org.keycloak.dom.saml.v1.assertion.SAML11AttributeType

-     public class SAML11AttributeType
      extends SAML11AttributeDesignatorType

  Since:
    Jun 22, 2011
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `attributeValues`

    - ### Fields inherited from class org.keycloak.dom.saml.v1.assertion.SAML11AttributeDesignatorType

      `attributeName, attributeNamespace`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML11AttributeType(String attributeName, URI attributeNamespace)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Object attribValue)`
    `void` | `addAll(List<Object> attribValueList)`
    `List<Object>` | `get()`
    `boolean` | `remove(Object attribVal)`

    - ### Methods inherited from class org.keycloak.dom.saml.v1.assertion.SAML11AttributeDesignatorType

      `getAttributeName, getAttributeNamespace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### attributeValues

          protected List<Object> attributeValues

  - ### Constructor Detail

    - #### SAML11AttributeType

          public SAML11AttributeType(String attributeName,
                                     URI attributeNamespace)

  - ### Method Detail

    - #### add

          public void add(Object attribValue)

    - #### addAll

          public void addAll(List<Object> attribValueList)

    - #### remove

          public boolean remove(Object attribVal)

    - #### get

          public List<Object> get()

Copyright © 2021 JBoss by Red Hat. All rights reserved.